%global _hardened_build 1

Name: lft
Version: 3.91
Release: 1%{?dist}
Summary: Layer Four Traceroute and WhoB
License: VOSTROM
URL: http://pwhois.org/lft/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: gcc libpcap-devel
Requires: whob

%description
LFT, short for Layer Four Traceroute, is a sort of 'traceroute' that often works
much faster (than the commonly-used Van Jacobson method) and goes through many
configurations of packet-filters (firewalls). More importantly, LFT implements
numerous other features including AS number lookups through several reliable
sources, loose source routing, netblock name lookups, et al. What makes LFT
unique? LFT is the all-in-one traceroute tool because it can launch a variety of
different probes using ICMP, UDP, and TCP protocols, or the RFC1393 trace
method. For example, rather than only launching UDP probes in an attempt to
elicit ICMP "TTL exceeded" from hosts in the path, LFT can send TCP SYN or FIN
probes to target arbitrary services. Then, LFT listens for "TTL exceeded"
messages, TCP RST (reset), and various other interesting heuristics from
firewalls or other gateways in the path. LFT also distinguishes between TCP-
based protocols (source and destination), which make its statistics slightly
more realistic, and gives a savvy user the ability to trace protocol routes, not
just layer-3 (IP) hops. With LFT's verbose output, much can be discovered about
a target network. 


%package -n whob
Summary: a likable whois client
Group: Application/Internet


%description -n whob
WhoB is a likable whois client (see whois(1)) designed to provide everything a
network engineer needs to know about a routed IP address by typing one line and
reading one line. But even so, it's worth typing a few more lines because WhoB
can do lots of other cool things for you! It can display the origin-ASN based
on the global routing table at that time (according to Prefix WhoIs, RIPE NCC,
or Cymru), the 'origin' ASN registered in the RADB (IRR), the netname and
orgname, etc. By querying pWhoIs, WhoB can even show you all prefixes being
announced by a specific Origin-ASN. WhoB performs the lookups quickly, the
output is easily parsed by automated programs, and it's included as part of the
Layer Four Traceroute (LFT) software package. LFT uses WhoB as a framework (and
you can too, quite easily--see whois.h). Recent LFT releases (as of version
2.5) include WhoB functionality through a standalone "whob" client/command
placed in the LFT binary directory. 


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
[ '%{buildroot}' != '/' ] && rm -rf %{buildroot}
%make_install STRIP=/bin/true
mkdir -p %{buildroot}%{_datadir}/%{name}
mv icons %{buildroot}%{_datadir}/%{name}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc CHANGELOG README
%attr(0755,root,root) %caps(cap_net_admin,cap_net_raw=ep) %{_bindir}/lft
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/icons
%{_mandir}/man8/lft.8*


%files -n whob
%{!?_licensedir:%global license %%doc}
%license COPYING
%{_bindir}/whob
%{_mandir}/man8/whob.8*


%changelog
* Mon May  4 2020 Philippe Kueck <projects@unixadm.org> - 3.91-1
- new upstream version

* Wed Nov 20 2019 Philippe Kueck <projects@unixadm.org> - 3.8-2
- rebuild with debug symbols

* Fri May 18 2018 Philippe Kueck <projects@unixadm.org> - 3.8-1
- new upstream version

* Wed Sep 28 2016 Philippe Kueck <projects@unixadm.org> - 3.76-2
- set capabilities for lft
- add icons

* Wed Sep 28 2016 Philippe Kueck <projects@unixadm.org> - 3.76-1
- initial packaging
